<?php


use Illuminate\Support\Facades\Route;
use Modules\Bot\Http\Controllers\TelegramBot;
use Modules\Bot\Http\Controllers\VkBot;

Route::middleware(['auth'])->group(function() {
    
    Route::get('/telegram/subscribe',[TelegramBot::class, 'subscribe'])->name('telegram.subscribe');
    Route::get('/telegramHook', [TelegramBot::class, 'setHook'])->name('setHook');

    Route::post('/vk/allowMessages',[VkBot::class, 'allowMessages'])->name('vk.allowMessages');
    

    Route::middleware(['hasAccess'])->group(function() {
        /** Routes that need to be protected - Маршруты которые нужно защитить */
    });
});

